﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using ERR_AudioPlayer;

namespace ERR_AudioPlayerWS
{
    [ServiceContract]
    public interface IAudioPlayerWS
    {
        [OperationContract]
        List<SoundDevice> getDevices();

        [OperationContract]
        bool play(string filename, Guid device, TimeSpan tcIn);

        [OperationContract]
        TimeSpan getTime();

        [OperationContract]
        bool stop();

        [OperationContract]
        AudioLevel getLevels();

        [OperationContract]
        bool seekForward(int hours, int minutes, int seconds, int milliseconds);

        [OperationContract]
        bool seekBackward(int hours, int minutes, int seconds, int milliseconds);

        [OperationContract]
        Guid? getDevice();
    }
}
